What 32-bit libraries are needed when installing Intel C++ Composer?

What 32-bit libraries are needed when installing Intel C++ Composer?

I am installing Intel C++ Composer 2013 SP 1 to Debian 7.4 64-bit. In the prerequesites section of the installer, it complains that
p, li { white-space: pre-wrap; }

32-bit libraries not found
32-bit libraries not found on this system.
This product release requires the presence of 32-bit compatibility libraries when running on Intel(R) 64 architecture systems. One or more of these libraries could not be found:
libstdc++ (including libstdc++6)
glibc
libgcc
Without these libraries, the compiler and the debugger will not function properly. Please refer to Release Notes for more information.

 

So I've installed libstdc++-4.8-dev:i386, libstdc++6:i386, libc6:i386, libgcc1:i386, but this message remains. What am I missing? Thank you.

4 posts / 0 new
Last post
For more complete information about compiler optimizations, see our Optimization Notice.

If you take the default, which wants to install both 32- and 64-bit development system, you will need the complete g++ 32- and 64-bit development system (g++ -m64 and -m32).  If you need only 64-bit development, try installing the basic g++ for your x86_64 and deselect the ia32 option in the icc installation optional configuration menu.

 I think this is unnecessarily confusing; it might be preferable if the icc installation would say something like "64-bit g++ found but not 32-bit libraries; OK to install icc/icpc Intel64 without ia32 support?"

If you plan to build AI32 applications on your 64-bit OS ,the 64-bit host may require optional library
components (ia32-libs, lib32gcc1, lib32stdc++6, libc6-dev-i386, gcc-multilib, g++-multilib) to be installed from your Linux distribution.I agree what Timp has suggested.

 

Thank you.
--
QIAOMIN.Q
Intel Developer Support

Please participate in our redesigned community support web site:
User forums:                http://software.intel.com/en-us/forums/

In addition, you can refer to the release notes under the System Reqts section which will note as below:

>> Release Notes -> System Requirements section ----------------------
Development for a 32-bit on a 64-bit host may require optional library components (ia32-libs, lib32gcc1, lib32stdc++6, libc6-dev-i386, gcc-multilib, g++-multilib) to be installed from your Linux distribution
>> Release Notes -> System Requirements section ----------------------

BTW, this prerequisite is an optional when you install 32-bit components on to Intel64 system if you're only going to use the 64-bit arch.
If so, you can just skip it and proceed with the installation. Of course, you'll have to aware then that the 32-bit components may not work correctly...

Regards,
Kittur

Leave a Comment

Please sign in to add a comment. Not a member? Join today